Skip to main content
GET
/
registry
/
v1
/
agents
/
{id}
Get agent
curl --request GET \
  --url https://compute.hexelstudio.com/registry/v1/agents/{id}
{
  "agent": {
    "allowed_org_ids": [
      "<string>"
    ],
    "author": "<string>",
    "capabilities": [
      "<string>"
    ],
    "created_at": "<string>",
    "description": "<string>",
    "endpoint": "<string>",
    "id": "<string>",
    "image": "<string>",
    "image_pull_secret": {
      "password": "<string>",
      "registry": "<string>",
      "username": "<string>"
    },
    "manifest": {
      "authentication": {},
      "capabilities": {},
      "description": "<string>",
      "input_schema": {},
      "name": "<string>",
      "output_schema": {},
      "runtime": {},
      "skills": [
        {
          "id": "<string>",
          "inputModes": [
            "<string>"
          ],
          "outputModes": [
            "<string>"
          ]
        }
      ],
      "url": "<string>",
      "version": "<string>"
    },
    "metadata": {},
    "name": "<string>",
    "org_id": "<string>",
    "public_key": "<string>",
    "state": "<string>",
    "updated_at": "<string>",
    "version": "<string>",
    "visibility": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://hexelstudio.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Agent ID

Response

OK

agent
object